package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 39.查询NFT交易信息列表 GET请求方式
 * @class: TradeListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:49
 */
@Data
public class Nft039TradeListReqDto implements Serializable {
    /**
     * nftId
     */
    private String nftId;
    /**
     * 查询偏移量，从0开始，和mysql一个语义
     */
    //@Null
    private Long offset;
    /**
     * 最大1000
     */
    private Long limit;
    private static final Nft039TradeListReqDto obj = new Nft039TradeListReqDto();
    private static final long serialVersionUID = -9216912945021665642L;

    public static Nft039TradeListReqDto getNew() {
        try {
            return (Nft039TradeListReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft039TradeListReqDto();
        }
    }
}
